Reply

Flat Pattern Threatment Options

How can I modufy the "Flat Pattern Threatment Options" by API (VB.NET)?

I cannot find this in API. Maybe an other way to open/modify/save many sheet metal documents....

 

Kind Regards

 

Marthijn

4 REPLIES

Re: Flat Pattern Threatment Options

Re: Flat Pattern Threatment Options

Hello,

how do you manually make the change you want? Is it sufficient to change the options and your model changes?

Greetings from Germany
Christian Kunkel
https://c-k-m.info

Re: Flat Pattern Threatment Options

[ Edited ]

Hi,

 

I want to change this options for 20.000 sheet metal parts. Manual it is not doable. 

 

Any idea how to change it by API?

 

Thanks

Re: Flat Pattern Threatment Options

Yes I found the parameter in API:

objDoc.SetGlobalParameter(SolidEdgePart.SheetMetalGlobalConstants.seSheetMetalGlobalFlatPatternInsideCornerTreatmentType, 3)

objDoc.SetGlobalParameter(SolidEdgePart.SheetMetalGlobalConstants.seSheetMetalGlobalFlatPatternInsideCornerTreatmentValue, 0.002)

objDoc.SetGlobalParameter(SolidEdgePart.SheetMetalGlobalConstants.seSheetMetalGlobalFlatPatternOutsideCornerTreatmentType, 3)

objDoc.SetGlobalParameter(SolidEdgePart.SheetMetalGlobalConstants.seSheetMetalGlobalFlatPatternOutsideCornerTreatmentValue, 0.002)